#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * The Termprocessor Kimwitu
 *
 * Copyright (c) 1991 University of Twente, Dept TIOS.
 * All rights reserved.
 *
 */

# line 12 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * kimwl.l
 */
#if ! (defined(lint) || defined(SABER) || defined(CODECENTER))
static char kimwl_lAccesSid[] = "@(#)$Id: kimwl.l,v 2.27 1996/06/06 12:29:01 belinfan Rel $";
#endif

# line 20 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* comments to suppress known `errors' */

# line 21 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS 529*/

# line 22 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS  25*/
#if (defined(SABER) || defined(CODECENTER))
# define lint
#endif

# line 28 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: YYLMAX should be at least 500
 * (because some people write real specs ...)
 * use the BUFSIZ that is defined in <stdio.h> as #define BUFSIZ 1024
 * this is a no-op on a sun: sun's lex already defines #define YYLMAX BUFSIZ
 * however, on a hp we get problems: YYLMAX is defined as #define YYLMAX 200
 * first get rid of old value: #undef YYLMAX before #define YYLMAX 'our-value'
 */
#undef YYLMAX
#define YYLMAX BUFSIZ


# line 38 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: some lexers (like (some versions of?) flex) #define yywrap
 * which causes problems if we try to define a function for it.
 * So, we undef it if defined.
 */
#ifdef yywrap
# undef yywrap
#endif

# line 48 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/***************************************************************************/

# line 49 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * Name conventions: tokens and states are in CAPITALS
 * operators are capitalized
 *
 */
# define NORMAL 2
# define INCL 4
# define INCLSTART 6
# define CEXPR 8
# define CEXPRDQ 10
# define CEXPRSQ 12
# define C 14
#if defined(__STDC__)
# include <stdlib.h>
#endif
#include <string.h>

#include "k.h"
#include "kimwy.h"

static int cinit_nesting =0;
static int eat_comment KC__P(( int*, int, casestring ));
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 70 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
 			{ ; }
break;
case 2:

# line 71 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; }
break;
case 3:

# line 72 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_PERCENTVIEW; }
break;
case 4:

# line 73 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ return T_PERCENTSTORAGECLASS; }
break;
case 5:

# line 74 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ BEGIN INCLSTART; return T_INCLUDESTART; }
break;
case 6:

# line 75 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ yylval.yt_casestring = mkcasestring(yytext); return T_ID;}
break;
case 7:

# line 76 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ ; }
break;
case 8:

# line 77 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; BEGIN INCL; }
break;
case 9:

# line 78 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 10:

# line 79 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 11:

# line 80 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; return yytext[0]; }
break;
case 12:

# line 81 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ pg_lineno++; BEGIN NORMAL; return T_INCLUDEEND; }
break;
case 13:

# line 82 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ int no_of_newlines = eat_comment(&pg_lineno, pg_lineno, pg_filename);
					          yylval.yt_int = no_of_newlines; return T_CNEWLINES;
					    }
break;
case 14:

# line 85 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ eat_comment(&pg_lineno, pg_lineno, pg_filename); }
break;
case 15:

# line 86 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_ARROW ;}
break;
case 16:

# line 87 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_DEFAULT; }
break;
case 17:

# line 88 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_int = atoi(yytext); return T_INT; }
break;
case 18:

# line 89 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_LIST ;}
break;
case 19:

# line 90 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_STATIC; }
break;
case 20:

# line 91 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
 	{ yylval.yt_casestring = mkcasestring(yytext); return T_ID ; }
break;
case 21:

# line 92 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 22:

# line 93 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_int = atoi(yytext+1); return T_DOLLARVAR; }
break;
case 23:

# line 94 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_UNPBLOCKSTART; }
break;
case 24:

# line 95 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ return T_UNPBLOCKEND; }
break;
case 25:

# line 96 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 26:

# line 97 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ pg_lineno++; return yytext[0]; }
break;
case 27:

# line 98 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring("\\"); return T_CEXPRESSION; }
break;
case 28:

# line 99 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring("\\\\"); return T_CEXPRESSION; }
break;
case 29:

# line 100 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPRDQ; return yytext[0]; }
break;
case 30:

# line 101 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPRSQ; return yytext[0]; }
break;
case 31:

# line 102 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN NORMAL; return yytext[0]; }
break;
case 32:

# line 103 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ cinit_nesting++;  yylval.yt_casestring = mkcasestring("("); return T_CEXPRESSION; }
break;
case 33:

# line 104 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ if (cinit_nesting == 0) {
					      BEGIN NORMAL; return yytext[0];
					} else {
					      cinit_nesting--; yylval.yt_casestring = mkcasestring(")"); return T_CEXPRESSION; }
					}
break;
case 34:

# line 109 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 35:

# line 110 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPR; return yytext[0]; }
break;
case 36:

# line 111 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring("\\\""); return T_CEXPRESSION; }
break;
case 37:

# line 112 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ BEGIN CEXPR; return yytext[0]; }
break;
case 38:

# line 113 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ yylval.yt_casestring = mkcasestring("\\'"); return T_CEXPRESSION; }
break;
case 39:

# line 114 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 40:

# line 115 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("$"); return T_CLINE; }
break;
case 41:

# line 116 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("\\\\"); return T_CLINE; }
break;
case 42:

# line 117 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("\\"); return T_CLINE ; }
break;
case 43:

# line 118 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("{"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 44:

# line 119 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring("}"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 45:

# line 120 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ if (strcmp(yytext, "$") == 0)
					      return yytext[0];
					  yylval.yt_int = atoi(yytext+1);
					  return T_DOLLARVAR;
					}
break;
case 46:

# line 125 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ if (strcmp(yytext, "foreach") ==0) {
					      return T_FOREACH;
					  } else if (strcmp(yytext, "with") ==0) {
					      return T_WITH;
					  } else {
					      yylval.yt_casestring = mkcasestring(yytext);
					      return T_CLINE ;
					  }
					}
break;
case 47:

# line 134 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 48:

# line 135 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 49:

# line 136 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 50:

# line 137 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 51:

# line 138 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 52:

# line 139 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ return yytext[0]; }
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
void do_NORMAL()	{ BEGIN NORMAL; }
void do_CEXPR()		{ BEGIN CEXPR; }
void do_CEXPRDQ()	{ BEGIN CEXPRDQ; }
void do_CEXPRSQ()	{ BEGIN CEXPRSQ; }
void do_C()		{ BEGIN C; }

int yywrap()		{ return 1; }

static int eat_comment
#ifdef KC_USE_PROTOTYPES
 (int *pg_lineno, int start_lineno, casestring start_filename)
#else
 (pg_lineno, start_lineno, start_filename)
  int *pg_lineno;
  int start_lineno;
  casestring start_filename;
#endif
{
	char c1, c2;		/* comment string */
	int nest;
	int no_of_newlines = 0;

	for(nest=1, c2 = ' ';;){
		c1 = c2;
		c2 = input();
		if (c1 == '/' && c2 == '*')
			nest++;
		else if (c1 == '*' && c2 == '/')
			nest--;
		if (nest <= 0)
			break;
		if (c2 == '\n') {
			no_of_newlines++;
		} else if (c2 == 0) {
			v_report( Fatal( FileLine( start_filename, start_lineno ), Problem1S( "start of comment containing unexpected eof" )));
		}
	}
	*pg_lineno += no_of_newlines;
	return no_of_newlines;
}

#ifndef FLEX_SCANNER
void yyrestart( input_file ) FILE *input_file; {}
#endif
int yyvstop[] = {
0,

52,
0,

1,
52,
0,

2,
0,

29,
52,
0,

52,
0,

30,
52,
0,

52,
0,

52,
0,

17,
52,
0,

20,
52,
0,

20,
52,
0,

20,
52,
0,

20,
52,
0,

52,
0,

9,
52,
0,

11,
0,

10,
52,
0,

9,
52,
0,

10,
52,
0,

7,
52,
0,

8,
0,

6,
52,
0,

21,
52,
0,

26,
0,

25,
52,
0,

32,
52,
0,

33,
52,
0,

21,
52,
0,

31,
52,
0,

27,
52,
0,

34,
52,
0,

35,
52,
0,

27,
52,
0,

39,
52,
0,

37,
52,
0,

27,
52,
0,

47,
52,
0,

45,
52,
0,

48,
52,
0,

46,
52,
0,

42,
52,
0,

22,
0,

23,
0,

24,
0,

17,
0,

15,
0,

14,
0,

20,
0,

20,
0,

20,
0,

20,
0,

5,
0,

9,
0,

9,
14,
0,

6,
0,

21,
0,

13,
21,
0,

28,
0,

34,
0,

36,
0,

39,
0,

38,
0,

47,
0,

40,
0,

45,
0,

43,
0,

44,
0,

13,
0,

46,
0,

41,
0,

20,
0,

20,
0,

20,
0,

12,
0,

20,
0,

18,
20,
0,

20,
0,

20,
0,

20,
0,

3,
0,

20,
0,

19,
20,
0,

16,
20,
0,

49,
0,

4,
0,

51,
0,

50,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,17,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,17,	1,0,	
2,0,	70,70,	73,95,	0,0,	
0,0,	3,17,	0,0,	7,36,	
7,37,	0,0,	0,0,	0,0,	
0,0,	3,18,	3,19,	0,0,	
0,0,	8,36,	8,37,	0,0,	
0,0,	0,0,	0,0,	1,17,	
70,70,	1,17,	1,17,	4,30,	
1,17,	1,17,	6,35,	24,63,	
34,0,	55,87,	49,79,	4,23,	
1,17,	1,17,	3,20,	5,31,	
3,21,	3,17,	10,43,	3,22,	
3,17,	7,24,	52,81,	5,31,	
5,32,	3,23,	80,0,	3,24,	
3,25,	71,0,	1,17,	8,24,	
124,128,	72,0,	119,124,	34,0,	
10,45,	125,129,	127,131,	7,38,	
34,72,	128,132,	97,105,	132,135,	
98,106,	3,26,	105,112,	107,114,	
5,31,	8,38,	5,31,	5,33,	
99,107,	5,31,	5,31,	80,0,	
71,0,	1,17,	46,77,	57,89,	
72,0,	5,34,	5,31,	67,92,	
90,100,	106,113,	4,27,	27,65,	
49,77,	65,90,	28,66,	69,94,	
3,17,	94,104,	4,28,	52,77,	
93,103,	9,39,	102,109,	5,31,	
3,27,	4,29,	29,67,	66,91,	
68,93,	9,39,	9,40,	91,101,	
3,28,	4,17,	35,73,	4,17,	
6,31,	92,102,	6,31,	3,29,	
16,17,	7,17,	16,17,	7,17,	
10,39,	100,108,	10,39,	3,17,	
103,110,	3,17,	5,31,	8,17,	
80,0,	8,17,	9,20,	11,47,	
9,41,	9,39,	78,0,	9,22,	
9,42,	9,43,	104,111,	11,47,	
11,40,	108,115,	30,68,	9,44,	
9,39,	30,69,	13,50,	109,116,	
110,117,	87,96,	30,70,	112,118,	
113,119,	114,120,	13,50,	9,45,	
115,121,	5,31,	78,0,	5,31,	
117,122,	9,39,	118,123,	120,125,	
11,48,	14,50,	11,47,	11,47,	
122,126,	11,47,	11,47,	126,130,	
87,96,	14,50,	129,133,	130,134,	
133,136,	11,47,	11,47,	13,50,	
134,137,	13,50,	13,50,	135,138,	
13,51,	13,50,	137,140,	138,141,	
9,46,	140,144,	143,146,	123,123,	
13,50,	13,50,	139,142,	11,47,	
145,147,	15,53,	14,50,	0,0,	
14,50,	14,50,	0,0,	14,51,	
14,50,	15,53,	15,40,	0,0,	
141,141,	87,97,	13,50,	14,50,	
14,50,	0,0,	123,123,	0,0,	
78,0,	139,142,	87,98,	9,39,	
0,0,	9,39,	11,49,	87,99,	
123,127,	0,0,	0,0,	139,143,	
0,0,	14,50,	15,20,	141,141,	
15,54,	15,53,	0,0,	15,22,	
15,53,	13,52,	0,0,	0,0,	
0,0,	141,145,	0,0,	15,55,	
15,53,	21,58,	21,58,	21,58,	
21,58,	21,58,	21,58,	21,58,	
21,58,	21,58,	21,58,	0,0,	
14,52,	0,0,	0,0,	0,0,	
0,0,	15,56,	23,61,	23,61,	
23,61,	23,61,	23,61,	23,61,	
23,61,	23,61,	23,61,	23,61,	
0,0,	0,0,	0,0,	0,0,	
23,62,	25,61,	25,61,	25,61,	
25,61,	25,61,	25,61,	25,61,	
25,61,	25,61,	25,61,	0,0,	
15,57,	41,58,	41,58,	41,58,	
41,58,	41,58,	41,58,	41,58,	
41,58,	41,58,	41,58,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
0,0,	0,0,	0,0,	15,17,	
21,59,	15,17,	21,60,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	0,0,	0,0,	0,0,	
0,0,	26,64,	0,0,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	26,64,	26,64,	26,64,	
26,64,	31,71,	0,0,	0,0,	
0,0,	142,142,	54,83,	0,0,	
0,0,	31,71,	31,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	54,84,	54,84,	
54,84,	54,84,	54,84,	54,84,	
54,84,	54,84,	54,84,	54,84,	
142,142,	0,0,	0,0,	0,0,	
0,0,	0,0,	31,71,	0,0,	
31,71,	31,0,	142,143,	31,71,	
31,71,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	31,71,	
31,71,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	31,71,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
31,71,	54,85,	0,0,	54,86,	
38,74,	0,0,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
38,74,	38,74,	38,74,	38,74,	
39,75,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
39,75,	39,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	44,0,	
84,84,	84,84,	84,84,	84,84,	
84,84,	84,84,	84,84,	84,84,	
84,84,	84,84,	75,0,	0,0,	
0,0,	39,0,	0,0,	39,0,	
39,75,	0,0,	39,0,	39,0,	
39,0,	0,0,	0,0,	44,0,	
0,0,	44,0,	39,75,	39,75,	
44,0,	44,0,	44,0,	44,76,	
0,0,	0,0,	75,0,	0,0,	
75,0,	47,78,	39,0,	75,0,	
75,0,	75,0,	0,0,	0,0,	
39,75,	47,78,	47,0,	0,0,	
44,0,	0,0,	0,0,	0,0,	
50,80,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	75,0,	
50,80,	50,0,	0,0,	0,0,	
0,0,	0,0,	136,136,	0,0,	
0,0,	0,0,	47,0,	39,0,	
47,78,	47,78,	0,0,	47,78,	
47,78,	0,0,	0,0,	0,0,	
0,0,	44,0,	0,0,	47,78,	
47,78,	50,80,	53,82,	50,80,	
50,80,	136,136,	50,0,	50,80,	
75,0,	0,0,	53,82,	53,0,	
0,0,	0,0,	50,80,	50,80,	
0,0,	47,78,	0,0,	0,0,	
0,0,	136,139,	136,139,	136,139,	
136,139,	136,139,	136,139,	136,139,	
136,139,	136,139,	136,139,	0,0,	
50,80,	0,0,	0,0,	53,0,	
0,0,	53,0,	53,82,	0,0,	
53,0,	53,82,	0,0,	0,0,	
47,0,	0,0,	0,0,	0,0,	
53,0,	53,82,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	50,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
0,0,	53,0,	0,0,	0,0,	
53,0,	0,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	0,0,	53,0,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	0,0,	0,0,	
0,0,	0,0,	56,88,	0,0,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	56,88,	56,88,	
56,88,	56,88,	76,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	76,0,	0,0,	
76,0,	0,0,	82,0,	76,0,	
76,0,	76,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	76,0,	
0,0,	0,0,	82,0,	0,0,	
82,0,	0,0,	0,0,	82,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	82,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
76,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	0,0,	
82,0,	0,0,	0,0,	82,0,	
0,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
0,0,	82,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-2,	yysvec+1,	0,	
yycrank+-16,	0,		0,	
yycrank+-2,	yysvec+3,	0,	
yycrank+-50,	0,		0,	
yycrank+-5,	yysvec+5,	0,	
yycrank+-10,	yysvec+1,	0,	
yycrank+-20,	yysvec+1,	0,	
yycrank+-112,	0,		0,	
yycrank+-13,	yysvec+9,	0,	
yycrank+-146,	0,		0,	
yycrank+0,	yysvec+11,	0,	
yycrank+-161,	yysvec+11,	0,	
yycrank+-180,	yysvec+11,	0,	
yycrank+-212,	0,		0,	
yycrank+-9,	yysvec+15,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+0,	0,		yyvstop+8,
yycrank+213,	0,		yyvstop+11,
yycrank+0,	0,		yyvstop+13,
yycrank+230,	0,		yyvstop+16,
yycrank+1,	0,		yyvstop+18,
yycrank+245,	0,		yyvstop+20,
yycrank+274,	0,		yyvstop+23,
yycrank+2,	yysvec+26,	yyvstop+26,
yycrank+1,	yysvec+26,	yyvstop+29,
yycrank+2,	yysvec+26,	yyvstop+32,
yycrank+43,	0,		yyvstop+35,
yycrank+-396,	0,		yyvstop+37,
yycrank+0,	0,		yyvstop+40,
yycrank+0,	0,		yyvstop+42,
yycrank+-34,	yysvec+31,	yyvstop+45,
yycrank+1,	0,		yyvstop+48,
yycrank+0,	0,		yyvstop+51,
yycrank+0,	0,		yyvstop+54,
yycrank+397,	0,		yyvstop+56,
yycrank+-519,	0,		yyvstop+59,
yycrank+0,	0,		yyvstop+62,
yycrank+257,	0,		yyvstop+64,
yycrank+0,	0,		yyvstop+67,
yycrank+0,	0,		yyvstop+70,
yycrank+-529,	yysvec+39,	yyvstop+73,
yycrank+0,	0,		yyvstop+76,
yycrank+2,	0,		yyvstop+79,
yycrank+-576,	0,		yyvstop+82,
yycrank+0,	0,		yyvstop+85,
yycrank+12,	0,		yyvstop+88,
yycrank+-591,	0,		yyvstop+91,
yycrank+0,	0,		yyvstop+94,
yycrank+19,	0,		yyvstop+97,
yycrank+-625,	0,		yyvstop+100,
yycrank+366,	0,		yyvstop+103,
yycrank+3,	0,		yyvstop+106,
yycrank+703,	0,		yyvstop+109,
yycrank+3,	0,		yyvstop+112,
yycrank+0,	yysvec+41,	yyvstop+115,
yycrank+0,	0,		yyvstop+117,
yycrank+0,	0,		yyvstop+119,
yycrank+0,	yysvec+25,	yyvstop+121,
yycrank+0,	0,		yyvstop+123,
yycrank+0,	0,		yyvstop+125,
yycrank+0,	yysvec+26,	yyvstop+127,
yycrank+3,	yysvec+26,	yyvstop+129,
yycrank+4,	yysvec+26,	yyvstop+131,
yycrank+2,	yysvec+26,	yyvstop+133,
yycrank+4,	0,		0,	
yycrank+2,	0,		0,	
yycrank+4,	0,		yyvstop+135,
yycrank+-55,	yysvec+31,	yyvstop+137,
yycrank+-59,	yysvec+31,	yyvstop+139,
yycrank+4,	0,		0,	
yycrank+0,	yysvec+38,	yyvstop+142,
yycrank+-540,	yysvec+39,	yyvstop+144,
yycrank+-816,	yysvec+39,	yyvstop+146,
yycrank+0,	0,		yyvstop+149,
yycrank+-140,	yysvec+47,	yyvstop+151,
yycrank+0,	0,		yyvstop+153,
yycrank+-52,	yysvec+50,	yyvstop+155,
yycrank+0,	0,		yyvstop+157,
yycrank+-844,	yysvec+53,	yyvstop+159,
yycrank+0,	0,		yyvstop+161,
yycrank+492,	0,		yyvstop+163,
yycrank+0,	0,		yyvstop+165,
yycrank+0,	0,		yyvstop+167,
yycrank+156,	0,		yyvstop+169,
yycrank+0,	yysvec+56,	yyvstop+171,
yycrank+0,	0,		yyvstop+173,
yycrank+3,	yysvec+26,	yyvstop+175,
yycrank+7,	yysvec+26,	yyvstop+177,
yycrank+13,	yysvec+26,	yyvstop+179,
yycrank+1,	0,		0,	
yycrank+8,	0,		0,	
yycrank+0,	0,		yyvstop+181,
yycrank+0,	yysvec+87,	0,	
yycrank+1,	0,		0,	
yycrank+1,	0,		0,	
yycrank+3,	0,		0,	
yycrank+20,	yysvec+26,	yyvstop+183,
yycrank+0,	yysvec+26,	yyvstop+185,
yycrank+9,	yysvec+26,	yyvstop+188,
yycrank+26,	0,		0,	
yycrank+35,	0,		0,	
yycrank+2,	0,		0,	
yycrank+17,	0,		0,	
yycrank+3,	0,		0,	
yycrank+49,	yysvec+26,	yyvstop+190,
yycrank+64,	yysvec+26,	yyvstop+192,
yycrank+67,	0,		0,	
yycrank+0,	0,		yyvstop+194,
yycrank+83,	0,		0,	
yycrank+86,	0,		0,	
yycrank+89,	0,		0,	
yycrank+56,	yysvec+26,	yyvstop+196,
yycrank+0,	yysvec+26,	yyvstop+198,
yycrank+73,	0,		0,	
yycrank+89,	0,		0,	
yycrank+1,	0,		0,	
yycrank+97,	0,		0,	
yycrank+0,	yysvec+26,	yyvstop+201,
yycrank+83,	0,		0,	
yycrank+198,	0,		0,	
yycrank+3,	0,		0,	
yycrank+4,	0,		0,	
yycrank+88,	0,		0,	
yycrank+27,	0,		0,	
yycrank+10,	0,		0,	
yycrank+107,	0,		0,	
yycrank+83,	0,		0,	
yycrank+0,	0,		yyvstop+204,
yycrank+7,	0,		0,	
yycrank+109,	0,		0,	
yycrank+99,	0,		0,	
yycrank+130,	0,		0,	
yycrank+597,	0,		0,	
yycrank+87,	0,		0,	
yycrank+135,	0,		0,	
yycrank+201,	yysvec+136,	0,	
yycrank+90,	0,		0,	
yycrank+215,	0,		0,	
yycrank+392,	0,		0,	
yycrank+159,	0,		0,	
yycrank+0,	0,		yyvstop+206,
yycrank+165,	0,		0,	
yycrank+0,	0,		yyvstop+208,
yycrank+0,	0,		yyvstop+210,
0,	0,	0};
struct yywork *yytop = yycrank+969;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,  34,   1,  36,  37,   1,  39, 
 40,  40,   1,   1,   1,   1,   1,  47, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,  40,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,   1,  92,   1,   1,  65, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  47,   1,  47,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
